# ffcx.naming

Naming.

Functions

`compute_signature`(ufl_objects, tag) | Compute the signature hash.
`expression_name`(expression, prefix) | Get expression name.
`form_name`(original_form, form_id, prefix) | Get form name.
`integral_name`(original_form, integral_type, ...) | Get integral name.

ffcx.naming.compute_signature(ufl_objects: list[Form] | list[tuple[Expr, ndarray[tuple[Any, ...], dtype[floating]]]], tag: str) → str

  Compute the signature hash.

  Based on the UFL type of the objects and an additional optional ‘tag’.

ffcx.naming.expression_name(expression: tuple[Expr, ndarray[tuple[Any, ...], dtype[floating]]], prefix: str) → str

  Get expression name.

ffcx.naming.form_name(original_form: Form, form_id: int, prefix: str) → str

  Get form name.

ffcx.naming.integral_name(original_form: Form, integral_type: str, form_id: int, subdomain_id: tuple[int, ...] | tuple[str], prefix: str) → str

  Get integral name.